Subject: [RFC] Clean up ppc64 nvram code

From: Benjamin Herrenschmidt <[email-masked]>
Date: Mon, 2 Aug 2010 10:55:11 +1000

This series is a first go at cleaning up some cruft in nvram_64.c for
handling nvram partitions. The current ppc64,linux partition is really
pseries specific, so we change the code for finding/creating it gets
turned into a more generic API for manipulating nvram partitions, and
the specifics to that partition are moved to pseries. We also rename
it to better represent what it's for